﻿Option Explicit On
Imports System.IO

Public Class frmKey

    Private Sub cmdAbre_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAbre.Click
        Dim od As New OpenFileDialog()

        'define o parâmetro da caixa de dialogo
        od.Title = "Seleciona"
        od.Filter = "Todos Arqs(*.*)|*.*"

        If od.ShowDialog().Equals(DialogResult.OK) Then
            'atualiza a textbox com o nome do arquivo
            txtValor.Text = New FileInfo(od.FileName).Name
        End If

    End Sub

    Private Sub frmKey_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If Editing Then
            Text = "Edita"
            'Atualiza textboxs.
            txtNome.Text = MyIniData.KeyName
            txtValor.Text = MyIniData.KeyData
        Else
            Text = "Novo"
        End If
    End Sub

    Private Sub cmdOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOK.Click
        ButtonPress = DialogResult.OK
        'Define o nome da chave e os dados
        StrLine = txtNome.Text.Trim() & "=" & txtValor.Text
        'fecha
        Close()
    End Sub

    Private Sub cmdCancela_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCancela.Click
        ButtonPress = DialogResult.Cancel
        'fecha
        Close()
    End Sub

    Private Sub txtNome_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNome.TextChanged
        'Habilita/Desabilita button.
        cmdOK.Enabled = txtNome.Text.Trim().Length > 0
    End Sub

    Private Sub txtNome_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtNome.KeyPress
        If e.KeyChar = ControlChars.Cr Then
            'Cancela o beep
            e.Handled = True
            If cmdOK.Enabled Then
                cmdOK_Click(sender, e)
            End If
        End If
    End Sub

    Private Sub txtValor_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtValor.KeyPress
        'Dispara o evento txtNome_KeyPress
        txtNome_KeyPress(sender, e)
    End Sub
End Class